function love.load()
	timer = {}
	timer.time = 0
	timer.deltaTime = 0
	timer.frame = 0
	timer.loopTime = 0
	timer.FPS = 372
end
function love.update(dt)
	timer.time = timer.time + dt
	if timer.time > 5 then 
		timer.FPS = 7
		if timer.time > 10 then
			timer.FPS = 60
			if timer.time > 10 then
				timer.FPS = 125
			end
		end
	end
	timer.loopTime = timer.loopTime - love.timer.getTime()
	timer.frame = love.timer.getTime() + timer.loopTime
	while love.timer.getTime() - timer.frame < (1/timer.FPS) do
	end
	timer.loopTime = love.timer.getTime()

end
function love.draw()
	love.graphics.print("Real time: "..timer.time,0,0)
	love.graphics.print("True FPS: "..tostring(love.timer.getFPS()),0,20)
	love.graphics.print("Target FPS: "..timer.FPS,0,40)
end


















function love.run()

    if love.math then
        love.math.setRandomSeed(os.time())
    end

    if love.event then
        love.event.pump()
    end

    if love.load then love.load(arg) end

    -- We don't want the first frame's dt to include time taken by love.load.
    if love.timer then love.timer.step() end

    local dt = 0

    -- Main loop time.
    while true do
        -- Process events.
        if love.event then
            love.event.pump()
            for e,a,b,c,d in love.event.poll() do
                if e == "quit" then
                    if not love.quit or not love.quit() then
                        if love.audio then
                            love.audio.stop()
                        end
                        return
                    end
                end
                love.handlers[e](a,b,c,d)
            end
        end

        -- Update dt, as we'll be passing it to update
        if love.timer then
            love.timer.step()
            dt = love.timer.getDelta()
        end

        -- Call update and draw
        if love.update then love.update(dt) end -- will pass 0 if love.timer is disabled

        if love.window and love.graphics and love.window.isCreated() then
            love.graphics.clear()
            love.graphics.origin()
            if love.draw then love.draw() end
            love.graphics.present()
        end

        --if love.timer then love.timer.sleep(0.001) end
    end
end